Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
StyledWriter Class Reference

Writes a Value in JSON format in a human friendly way. More...

`#include <writer.h>`

Inheritance diagram for StyledWriter:

## Public Member Functions
| StyledWriter ()
virtual | ~StyledWriter ()
virtual std::string | write (const Value &root)
| Serialize a Value in JSON format. More...
Public Member Functions inherited from Writer
virtual | ~Writer ()

## Detailed Description

Writes a Value in JSON format in a human friendly way.

The rules for line break and indent are as follow:

- Object value:
  - if empty then print {} without indent and line break
  - if not empty the print '{', line break & indent, print one value per line and then unindent and line break and print '}'.
- Array value:
  - if empty then print [] without indent and line break
  - if the array contains no object value, empty array or some other value types, and all the values fit on one lines, then print the array on a single line.
  - otherwise, it the values do not fit on one line, or the array contains object or non empty array, then print one value per line.

If the Value have comments then they are outputed according to their CommentPlacement.

See also
  Reader, Value, Value::setComment()

## Constructor & Destructor Documentation

StyledWriter | ( |  | ) |

virtual ~StyledWriter | ( |  | ) |
| inline virtual

## Member Function Documentation

std::string write | ( | const Value & | root | ) |
| virtual

Serialize a Value in JSON format.

Parameters

  root | Value to serialize.

Returns
  String containing the JSON document that represents the root value.

Implements Writer.

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/jsoncpp/include/json/writer.h
- persistence/rapidjson/thirdparty/jsoncpp/src/lib_json/json_writer.cpp